Jobs

Update job

PATCH
/v3/aftermarket/customers/{customerId}/jobs/{jobId}

Updates an asynchronous job

Authorization

sso-key
headerAuthorization<token>

Standard GoDaddy SSO header authorization. Format: sso-key YOUR_API_KEY:YOUR_API_SECRET

Path Parameters

jobId*string

A unique identifier for the job

Formatuuid
customerId*string

An identifier for a customer. A special alias 'my' is supported when accessing the authenticated customer's own data.

Match^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$|^MY$|^my$
Default"my"

Header Parameters

X-Request-Id?string

A unique identifier for the request

Request Body

Job patch request body

application/json
  1. body
jobState?string
Default"CLOSED"
Value in"CLOSED""CANCELED"

Response Body

Request is successful, but no content is returned.

Example Request
curl -X PATCH 'https://api.afternic.com/v3/aftermarket/customers/my/jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
Empty